Subject: Re: [RFC][POWERPC] Provide a way to protect 4k subpages when using 64k pages

From: Arnd Bergmann <[email-masked]>
Date: Fri, 7 Dec 2007 13:03:41 +0100

On Friday 07 December 2007, Paul Mackerras wrote:
> I have re-purposed the ioperm system call for this. =A0The old ioperm
> system call never did anything (except return an ENOSYS error) and in
> fact never could have actually been useful for anything on the PowerPC
> architecture, so nothing ever used it.

Couldn't there be a program that relies on ioperm to return -ENOSYS on
powerpc in order to fall back on some other method of I/O access?

The risk of actually breaking something is certainly low, but I think
you can never be sure here, so why not use a new syscall number?

	Arnd <><